# Titanic

this gem handles pushing builds, pushing deploys, and consuming them
from a client

## Installation

Add this line to your application's Gemfile:

    gem 'titanic'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install titanic

## Usage

the useful public methods are:

- put_build(uuid,path)
- put_deploy(uuid)
- get_deploy_from_s3
- get_deploy_from_http
- get_build_from_s3(uuid)
- get_build_from_http(uuid)

basic options would look something like:

opts = {
  'project' => 'feefee',
  'environment' => 'some_cool_environment',
  'role' => 'coolest_server_ever',
  'access_key' => ENV['AWS_ACCESS_KEY'],
  'secret_key' => ENV['AWS_SECRET_KEY'],
  'bucket' => 'sssp',
  'prefix' => 'titanic',
  'url' => 'http://ssspy.d.musta.ch',
}


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
